/
githubmirror
/
cmssw
Обзор
Документация
Войти
/
githubmirror
/
cmssw
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
master
FWCore/Integration/test/CatchStdExceptiontest.sh
11 строк
511 B
Shahzad Malik Muzaffar
[CORE] Various fixes/improvements for unit test
10 мар 2023, 19:22
10 мар 2023, 19:22
795ad23
Код
Авторство
О чём код?
#!/bin/sh set -x LOCAL_TEST_DIR=${SCRAM_TEST_PATH} # Pass in name and status function die { echo $1: status $2 ; echo === Test log === ; cat ${3:-/dev/null} ; echo === End test log === ; exit $2; } cmsRun ${LOCAL_TEST_DIR}/CatchStdExceptiontest_cfg.py &> CatchStdException.log && die 'Failed in using CatchStdException_cfg.py' 1 CatchStdException.log grep -q WhatsItESProducer CatchStdException.log || die 'Failed to find Producers name' $? CatchStdException.log #grep -w ESProducer CatcheStdException.log